Announcement

Collapse
No announcement yet.

Conversion from old to new

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] Conversion from old to new

    Morning guys,

    Quick question. Looking to move hosts at the same time as upgrading to Vb4 (From 3.8.4). My old server is unable to host a new enough php to allow vb4 to run (currently php 5.1.6, mySQL 5.0.77), and the main reason for moving is that it's actually cheaper than upgrading php/sql (dont ask!).

    Anyhow, i would have rather upgraded the older version to Vb4 on the old server, and then migrated onto the new server. I guess because of requirements this isnt possible - and guess that i have to move onto the new server as 3.8.4 and then upgrade there to 4.0.x ??? i'm not fussed about the old templates - i have new ones - the real reason for the migration is the sql database (obviously)!

    Unless someone can confirm otherwise??

    Many Thanks
    Paul

  • #2
    What is your question?

    Comment


    • #3
      As alluded to, the Question is - To allow me to migrate from vb3.8.x to 4.0.x, because of my php/sql issues, do i have to move as 3.8.4 and convert, or is there any way that i can "upgrade" the old forum and then export the database on the old box... As i mentioned i dont want to be able to actually USE it on the old site, just upgrade and then move the DB only...

      I.e. if the minimum requirements are SqlXXX and php XXXX for normal operation, however it will run on a pervious version, but not recommended - (that sort of thing if it applies!)

      Paul
      Last edited by Toibs; Fri 7 May '10, 5:29am.

      Comment


      • #4
        Originally posted by Toibs View Post
        Morning guys,

        Quick question. Looking to move hosts at the same time as upgrading to Vb4 (From 3.8.4). My old server is unable to host a new enough php to allow vb4 to run (currently php 5.1.6, mySQL 5.0.77), and the main reason for moving is that it's actually cheaper than upgrading php/sql (dont ask!).

        Anyhow, i would have rather upgraded the older version to Vb4 on the old server, and then migrated onto the new server. I guess because of requirements this isnt possible - and guess that i have to move onto the new server as 3.8.4 and then upgrade there to 4.0.x ??? i'm not fussed about the old templates - i have new ones - the real reason for the migration is the sql database (obviously)!

        Unless someone can confirm otherwise??

        Many Thanks
        Paul
        If your old host doesn''t meet the php requiremts needed for vb 4x then you can do one of the 2 things.

        One, transfer all the files and the db from the old host to the new host. Update the config.php file with the db info of the new host and update the board url as well at Setting-Options-Site Name / URL / Contact Details-Forum URL. Assuming that everything went well, then you can proceed with the upgrade to vb 4.

        The second option would be to install directly vb 4.0.3 pl 1 at the new host. Restore the db at the new host and then run the upgrader so the db will be upgraded to the latest version as well.

        Both these methos will work fine. Hope it asked your questions.

        Comment


        • #5
          Originally posted by borbole View Post
          If your old host doesn''t meet the php requiremts needed for vb 4x then you can do one of the 2 things.

          One, transfer all the files and the db from the old host to the new host. Update the config.php file with the db info of the new host and update the board url as well at Setting-Options-Site Name / URL / Contact Details-Forum URL. Assuming that everything went well, then you can proceed with the upgrade to vb 4.

          The second option would be to install directly vb 4.0.3 pl 1 at the new host. Restore the db at the new host and then run the upgrader so the db will be upgraded to the latest version as well.

          Both these methos will work fine. Hope it asked your questions.
          Thx borbole - would the second option work tho? i mean if you install 4.0.3 pl1 at the new host, surely it would fail upgrade if i put the original db from 3.8.x in... would it still upgrade?? ( i presume you mean select upgrade to 4.0.3 pl1 despite the prog already being 4.0.3 pl1??)

          Cheers
          Paul

          Comment


          • #6
            Originally posted by Toibs View Post
            Thx borbole - would the second option work tho? i mean if you install 4.0.3 pl1 at the new host, surely it would fail upgrade if i put the original db from 3.8.x in... would it still upgrade?? ( i presume you mean select upgrade to 4.0.3 pl1 despite the prog already being 4.0.3 pl1??)

            Cheers
            Paul
            You are welcome.

            The second option will work fine as well. After you restore the db then run the upgrader which will bring it (the db) up to date.

            Comment


            • #7
              Cool will give it a go Many thanks

              Comment


              • #8
                Originally posted by Toibs View Post
                Cool will give it a go Many thanks
                You are welcome Let us know how it will go.

                Comment

                widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                Working...
                X